# Envato License

> If you buy a theme for personal use or a client and the site is
> not duplicated and does not sell, the **regular license is enough**.

> If you buy a theme for personal or client use and the site sells products
> or services, you are obliged to buy the **extended license**.

## Envato Regular License ([view online](https://themeforest.net/licenses/terms/regular))

1.  The Regular License grants you, the purchaser, an ongoing, non-exclusive,
    worldwide license to make use of the digital work (Item) you have selected.
    Read the rest of this license for the details that apply to your
    use of the Item, as well as the [FAQs](https://themeforest.net/licenses/faq)
    (which form part of this license).

1.  You are licensed to use the Item to create one single End Product for
    yourself or for one client (a “single application”), and the
    End Product can be distributed for Free.

1.  An End Product is one of the following things,
    both requiring an application of skill and effort.

    1.  For an Item that is a template, the End Product is a customised
        implementation of the Item.

        > For example: the item is a website
        > theme and the end product is the final website customised
        > with your content.

    1.  For other types of Item, an End Product is a work that incorporates the
        Item as well as other things, so that it is larger in scope and
        different in nature than the Item.

        > For example: the item is a button graphic
        > and the end product is a website.
        > See the [FAQs](https://themeforest.net/licenses/faq) for examples
        > and information about End Products and the single application
        > requirement.

1.  You can create one End Product for a client, and you can transfer that
    single End Product to your client for any fee. This license is then
    transferred to your client.

1.  You can make any number of copies of the single End Product,
    as long as the End Product is distributed for Free.

1.  You can modify or manipulate the Item. You can combine the Item with other
    works and make a derivative work from it. The resulting works are subject
    to the terms of this license. You can do these things as long as the
    End Product you then create is one that’s permitted under clause 3.

    > For example: You can license a flyer template, include your own photos,
    > modify the layout and get it printed to promote your event.

1.  You can’t Sell the End Product, except to one client.
    (If you or your client want to Sell the End Product,
    you will need the Extended License.)

1.  You can’t re-distribute the Item as stock, in a tool or template,
    or with source files. You can’t do this with an Item either on
    its own or bundled with other items, and even if you modify the Item.
    You can’t re-distribute or make available the Item as-is or
    with superficial modifications.

    These things are not allowed even if the re-distribution is for Free.

    > If you’re an Envato author you can use other items in your item’s preview
    > without a license, under conditions. See the [author licensing FAQs](https://themeforest.net/licenses/faq#faq-section-author).

    > For example: You can’t purchase an HTML template, convert it to a
    > WordPress theme and sell or give it to more than one client.
    > You can’t license an item and then make it available as-is on your
    > website for your users to download.

1.  You can’t use the Item in any application allowing an end user to
    customise a digital or physical product to their specific needs,
    such as an “on demand”, “made to order” or “build it yourself” application.
    You can use the Item in this way only if you purchase a
    separate license for each final product incorporating the
    Item that is created using the application.

    > Examples of “on demand”, “made to order” or “build it yourself”
    > applications: website builders, “create your own” slideshow apps,
    > and e-card generators. You will need one license for each
    > product created by a customer, or contact us at [Help Center](http://help.market.envato.com/hc/en-us)
    > to discuss.

1.  Although you can modify the Item and therefore delete unwanted
    components before creating your single End Product,
    you can’t extract and use a single component of an Item on a
    stand-alone basis.

    > For example: You license a website theme containing icons.
    > You can delete unwanted icons from the theme.
    > But you can't extract an icon to use outside of the theme.

1.  You must not permit an end user of the End Product to extract the
    Item and use it separately from the End Product.

1.  You can’t use an Item in a logo, trademark, or service mark.  
    Looking for a logo? See our [GraphicRiver logos section](http://graphicriver.net/category/logo-templates?_ga=2.247802052.294898880.1626368611-277376300.1618173274),
    which has its own license.

1.  For some Items, a component of the Item will be sourced by the author
    from elsewhere and different license terms may apply to the component,
    such as someone else’s license or an open source or
    creative commons license. If so, the component will be identified by
    the author in the Item’s description page or in the Item’s
    downloaded files. The other license will apply to that component
    instead of this license. This license will apply to the rest of the Item.

    > For example: A theme might contain images licensed under a
    > Creative Commons CCBY license. The CCBY license applies to those
    > specific images. This license applies to the rest of the theme.

1.  For some items, a GNU General Public License (GPL) or
    another open source license applies. The open source license
    applies in the following ways:

    1.  Some Items, even if entirely created by the author, may be
        partially subject to the open source license: a ‘split license’ applies.
        This means that the open source license applies to an extent that’s
        determined by the open source license terms and the nature of the
        Item, and this license applies to the rest of the Item.  
        Split and other open source licensing is relevant for themes and
        plug-ins for WordPress and other open source platforms.
        Where split licensing applies, this is noted in the Item’s
        download files: for more information, see this Help Center article

    1.  For some Items, the author may have chosen to apply a GPL license
        to the entire Item. This means that the relevant GPL license will apply
        to the entire Item instead of this license. Where an Item is
        entirely under a GPL license, it will be identified as a GPL item and
        the license noted in the download files:
        for more information see the [FAQs](https://themeforest.net/licenses/faq)

1.  You can only use the Item for lawful purposes. Also,
    if an Item contains an image of a person, even if the Item is model-released
    you can’t use it in a way that creates a fake identity, implies personal
    endorsement of a product by the person, or in a way that is defamatory,
    obscene or demeaning, or in connection with sensitive subjects.

    > For more information on sensitive subjects, see our [FAQs](https://themeforest.net/licenses/faq).

1.  Items that contain digital versions of real products,
    trademarks or other intellectual property owned by others have not been
    property released. These Items are licensed on the basis of
    editorial use only. It is your responsibility to consider whether your use
    of these Items requires a clearance and if so, to obtain that clearance from
    the intellectual property rights owner.

1.  This license applies in conjunction with the [Envato Market Terms](https://themeforest.net/legal/market)
    for your use of Envato Market. If there is an inconsistency between
    this license and the Envato Market Terms, this license will apply
    to the extent necessary to resolve the inconsistency.

1.  This license can be terminated if you breach it. If that happens,
    you must stop making copies of or distributing the End Product until
    you remove the Item from it.

1.  The author of the Item retains ownership of the Item but grants
    you the license on these terms. This license is between the author
    of the Item and you. Envato Pty Ltd is not a party to this license
    or the one giving you the license.

## Envato Extended License ([view online](https://themeforest.net/licenses/terms/extended))

1.  The Extended License grants you, the purchaser, an ongoing,
    non-exclusive, worldwide license to make use of the digital
    work (Item) you have selected. Read the rest of this license for the
    details that apply to your use of the Item, as well as the [FAQs](https://themeforest.net/licenses/faq)
    (which form part of this license).

1.  You are licensed to use the Item to create one single End Product for
    yourself or for one client (a “single application”),
    and the End Product may be Sold.

1.  An End Product is one of the following things, both requiring an
    application of skill and effort.

    1.  For an Item that is a template, the End Product is a
        customised implementation of the Item.

        > For example, the item is a magazine template and the end product
        > is the finished magazine.

    1.  For other types of Item, an End Product is something that
        incorporates the Item as well as other things, so that it is
        larger in scope and different in nature than the Item.

        > For example, the item is a set of icons and the end product is
        > a mobile app for sale. See the [FAQs](https://themeforest.net/licenses/faq)
        > for examples and information about End Products and
        > the single application requirement.

1.  You can create the End Product for a client, and this license is
    then transferred from you to your client.

1.  You can Sell and make any number of copies of the single End Product.

1.  You can modify or manipulate the Item. You can combine the Item with
    other works and make a derivative work from it. The resulting works are
    subject to the terms of this license. You can do these things as
    long as the End Product you then create is one that’s
    permitted under clause 3.

    > For example: you can license a vector, manipulate it and add your
    > own elements to create an illustration that’s used as a book cover.

1.  This license is a “single application” license and not a
    “multi-use” license, which means that you can’t use the Item to
    create more than one unique End Product.

1.  You can’t re-distribute the Item as stock, in a tool or template,
    or with source files. You can’t do this with an Item either on its
    own or bundled with other items, and even if you modify the Item.
    You can’t re-distribute or make available the Item as-is or
    with superficial modifications.

    > For example: You can't license a number of vector files, and
    > redistribute/resell them as a clip-art pack.

    > If you’re an Envato author you can use other items in your item’s
    > preview without a license, under conditions.
    > See the [author licensing FAQs](https://themeforest.net/licenses/faq#faq-section-author).

1.  You can’t use the Item in any application allowing an end user to
    customise a digital or physical product to their specific needs,
    such as an “on demand”, “made to order” or “build it yourself” application.
    You can use the Item in this way only if you purchase a separate
    license for each final product incorporating the Item that is created
    using the application.

    > Examples of “on demand”, “made to order” or “build it yourself”
    > applications: website builders, “create your own” slideshow apps,
    > and e-card generators. You will need one license for each product
    > created by a customer, or contact us at [Help Center](http://help.market.envato.com/hc/en-ushttp://help.market.envato.com/hc/en-us)
    > to discuss.

1.  Although you can modify the Item and therefore delete components
    before creating your single End Product, you can’t extract and
    use a single component of an Item on a stand-alone basis.

    > For example: You license a game starter kit.
    > You can delete unwanted 3D models from the file.
    > But you can’t extract and use a 3D model outside of the game starter kit.

1.  You must not permit an end user of the End Product to extract the
    Item and use it separately from the End Product.

1.  You can’t use an Item in a logo, trademark, or service mark.

    > Looking for a logo? See our [GraphicRiver logos](http://graphicriver.net/category/logo-templates?_ga=2.211654485.131496368.1626370327-277376300.1618173274) section,
    > which has its own license.

1.  For some Items, a component of the Item will be sourced by the
    author from elsewhere and different license terms may apply to
    the component, such as someone else’s license or an open source or
    creative commons license. If so, the component will be identified by
    the author in the Item’s description page or in the Item’s
    downloaded files. The other license will apply to that component instead
    of this license. This license will apply to the rest of the Item.

1.  Some Items are partially subject to a GNU General Public License (GPL)
    or another open source license even if the Item was entirely created by
    the author. For these Items, a ‘split license’ applies. This means that
    the open source license applies to an extent that’s determined by the
    open source license terms and the nature of the Item, and this
    license applies to the rest of the Item.

    > For more information, see [this Help Center article](http://support.envato.com/index.php?/Knowledgebase/Article/View/428).
    > This is most common for themes for WordPress and other
    > open source platforms. Where split licensing applies,
    > this is noted in the Item’s download files.

1.  You can only use the Item for lawful purposes. Also,
    if an Item contains an image of a person, even if the Item is
    model-released you can’t use it in a way that creates a fake identity,
    implies personal endorsement of a product by the person, or in a way that
    is defamatory, obscene or demeaning, or in connection with
    sensitive subjects.

    > For more information on sensitive subjects, see our [FAQs](https://themeforest.net/licenses/faq).

1.  Items that contain digital versions of real products,
    trademarks or other intellectual property owned by others have not
    been property released. These Items are licensed on the basis of
    editorial use only. It is your responsibility to consider whether
    your use of these Items requires a clearance and if so,
    to obtain that clearance from the intellectual property rights owner.

1.  This license applies in conjunction with the Envato Market Terms
    for your use of the Envato Market sites. If there is an inconsistency
    between this license and the [Envato Market Terms](https://themeforest.net/legal/market),
    this license will apply to the extent necessary to
    resolve the inconsistency.

1.  This license can be terminated if you breach it.
    If that happens, you must stop making copies of or distributing
    the End Product until you remove the Item from it.

1.  The author of the Item retains ownership of the Item but grants you
    the license on these terms. This license is between the author of the
    Item and you. Envato Pty Ltd is not a party to this license or the
    one giving you the license.
